org.bdgenomics.adam.rdd

# InnerShuffleRegionJoin

###
Related Doc: package rdd

#### case class InnerShuffleRegionJoin[T, U](sd: SequenceDictionary, partitionSize: Long, sc: SparkContext) extends ShuffleRegionJoin[T, U, T, U] with Product with Serializable

Extends the ShuffleRegionJoin trait to implement an inner join.

Linear Supertypes
Serializable, Serializable, Product, Equals, ShuffleRegionJoin[T, U, T, U], RegionJoin[T, U, T, U], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InnerShuffleRegionJoin
2. Serializable
3. Serializable
4. Product
5. Equals
6. ShuffleRegionJoin
7. RegionJoin
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new InnerShuffleRegionJoin(sd: SequenceDictionary, partitionSize: Long, sc: SparkContext)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val bins: Broadcast[GenomeBins]

   Attributes
     protected
   Definition Classes
     ShuffleRegionJoin

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def emptyFn(left: Iterator[((ReferenceRegion, Int), T)], right: Iterator[((ReferenceRegion, Int), U)]): Iterator[(T, U)]

   Attributes
     protected
   Definition Classes
     InnerShuffleRegionJoin → ShuffleRegionJoin

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def makeIterator(region: ReferenceRegion, left: BufferedIterator[((ReferenceRegion, Int), T)], right: BufferedIterator[((ReferenceRegion, Int), U)]): Iterator[(T, U)]

    Attributes
      protected
    Definition Classes
      InnerShuffleRegionJoin → ShuffleRegionJoin

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def partitionAndJoin(leftRDD: RDD[(ReferenceRegion, T)], rightRDD: RDD[(ReferenceRegion, U)])(implicit tManifest: ClassTag[T], uManifest: ClassTag[U]): RDD[(T, U)]

    Performs a region join between two RDDs (shuffle join).

    Performs a region join between two RDDs (shuffle join).

    This implementation is shuffle-based, so does not require collecting one side into memory like BroadcastRegionJoin. It basically performs a global sort of each RDD by genome position and then does a sort-merge join, similar to the chromsweep implementation in bedtools. More specifically, it first defines a set of bins across the genome, then assigns each object in the RDDs to each bin that they overlap (replicating if necessary), performs the shuffle, and sorts the object in each bin. Finally, each bin independently performs a chromsweep sort-merge join.

    leftRDD

      The 'left' side of the join

    rightRDD

      The 'right' side of the join

    tManifest

      implicit type of leftRDD

    uManifest

      implicit type of rightRDD

    returns

      An RDD of pairs (x, y), where x is from leftRDD, y is from rightRDD, and the region corresponding to x overlaps the region corresponding to y.

    Definition Classes
      ShuffleRegionJoin → RegionJoin

17. #### val partitionSize: Long

    Definition Classes
      InnerShuffleRegionJoin → ShuffleRegionJoin

18. #### val sc: SparkContext

    Definition Classes
      InnerShuffleRegionJoin → ShuffleRegionJoin

19. #### val sd: SequenceDictionary

    Definition Classes
      InnerShuffleRegionJoin → ShuffleRegionJoin

20. #### val seqLengths: Map[String, Long]

    Attributes
      protected
    Definition Classes
      ShuffleRegionJoin

21. #### def sweep(leftIter: Iterator[((ReferenceRegion, Int), T)], rightIter: Iterator[((ReferenceRegion, Int), U)]): Iterator[(T, U)]

    Definition Classes
      ShuffleRegionJoin

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ShuffleRegionJoin[T, U, T, U]

### Inherited from RegionJoin[T, U, T, U]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped